wiki:Vine6/RemovalCandidate

Version 23 (modified by tanakanata, 6 years ago) (diff)

--

Vine6でorphanedに移動するパッケージの候補です。誰が提案したのかがわかるようにIDを添えてください。

  • Eterm
    • ターミナルは選択肢は十分あると思うので、日本語が通らないものを供給し続ける意味を感じない && GTK1?
  • namazu_JF, dbnamazu_JMANdb, namazu_VineDocsdb (iwaim)
    • namazuのDBを生成はやめてもいいのではないか?
  • man2html (yasumichi)
    • man -> man-db の以降に伴い、SRPM は orphaned にある
    • 必要性があるか?
  • ochusha (kudoh)
    • ochusha は現在の Seed 環境でのビルドは不可能(0.6-1vl5で確認、CVSは未確認)
    • 2ch ブラウザとしては JD が開発継続中であり、開発停止状態の ochusha を保守する積極的理由がない
      • (2chの仕様変更に対応できているかも不透明)
  • AfterStep?, AfterStep?-APPS (kudoh)
    • 2002年以降、手が加えられた形跡がない
    • upstream での開発・保守は現在も継続しているが、利用者はいるのか?
  • geany-plugin-{addons,gdb,latex,vc} (Takemikaduchi)
    • geany-plugins に移行しているので不要。
  • lxde-settings-daemon, lxsession-lite (kudoh)
    • lxsession に統合、あるいは一本化され、現在不要となっているため。
  • gir-repository (kudoh)
    • obsoletes: gir-repository < 0.6.6 と gobject-introspection に定義されているので不要?
  • hpijs (harada)
    • hplip を main へ移動するので、単独パッケージとしての提供は取り止めて Obsolete に移動。
  • task-moovida, moovida-* + elisa-* (harada)
    • moovida の開発方針が変わり全然別物なったので。
  • twitux (iwaim)
    • OAuth未対応なのでそもそも動かない。
  • eplaser-cups (tomop)
    • foomaticに標準添付
  • nautilussvn (kudoh)
    • rabbitvcs に移行しているので不要?
  • TrueTypeFonts_jp (kudoh)
    • requireがTrueType-sazanamiだけなので、実質TrueType-sazanamiと変わらないのでは?
  • pysqlite (kudoh)
    • python-2.6.6-4vl6で廃止となっている。
  • TrueType?-kiloji,TrueType?-konatu(1vl6) (kudoh)
    • 2vl6で-doc以外のサブパッケージ (kiloji{-bold,-fix,-proportional,-thin} と konatu{-fixed,-proportional}) を全て廃止したため、それらのサブパッケージを移動。
  • TrueType?-linux-libertine(4.7.5-1vl6) (kudoh)
    • 5.0.0-1vl6で-doc以外のサブパッケージ (libertine{-bold,-italic,-regular})を全て廃止したため、それらのサブパッケージを移動。
  • latex-xft-fonts(0.1-1vl5) (munepi)
    • lyx-2.0.2 で Obsoletes: atex-xft-fonts を追加、lyx からサブパッケージ lyx-fonts を作成するため、廃止。
  • TrueType?-junicode(0.6.17-1vl6) (kudoh)
    • 0.7.1-1 以降-doc以外のサブパッケージ (junicode{-bold,-italic,-regular}) を全て廃止し、VinePlus?/6 でも Seed と同期させたたため、サブパッケージを移動。
  • TrueType?-sil-charis(4.106-1vl6) (kudoh)
    • 4.110-1 以降-doc以外のサブパッケージ (sil-charis{-bold,-italic,-regular}) を全て廃止し、VinePlus?/6 でも Seed と同期させたたため、サブパッケージを移動。
  • docutils (kudoh)
    • python-docutils で Provides: docutils = 0.6-3vl6 & Obsoletes: docutils <= 0.5 となっているため。
  • scim-honoka, scim-honoka-plugin-wnn, scim-wnn (munepi)
    • すでに開発停止中のため
  • chromium13, chromium14 (munepi)
    • すでにメンテナンス終了。
  • self-build-libdvdnav, self-build-libmp4v2 (munepi)
    • libdvdnav, libmp4v2 は plus カテゴリに移行したため
  • self-build-pragha (munepi)
    • pragha は plus カテゴリに移行したため
  • auth_ldap (shaolin)
    • apache1 用
  • db43 (shaolin)
    • 現時点で db43 に依存しているのは libcapplet0 (同じく orphaned 提案中) のみ。
  • db46 (shaolin)
    • 現時点で db46 に依存しているのは ee (同じく orphaned 提案中) のみ。
  • dhcpcd (shaolin)
    • アップストリームは10年前に止まっている。また、すでに dhcp のサブパッケージ dhclient がある。
  • ee (shaolin)
    • gnome1 時代の画像ビューア。もういらないでしょう。
  • expat1 (shaolin)
    • 現時点で expat1 に依存するパッケージはない。
  • flac112 (shaolin)
    • 現時点で flac112 に依存するパッケージはない (VineSeed の alsaplayer が依存しているが)
  • ipchains (shaolin)
    • linux kernel 2.2 用。現在は全く不要。
  • libcapplet0 (shaolin)
    • gnome1 時代のアプレット用ライブラリ。
  • perl-IO-Compress-Bzip2 (shaolin)
    • すでに perl 本体に同梱されている
  • perl-Video-Capture-V4l (shaolin)
  • perl-Video-Frequencies (shaolin)
  • perl-Video-ivtv (shaolin)
    • 現在の kernel では使えない
  • pgperl (shaolin)
    • アップストリーム開発停止。現在では DBD::Pg の方がよく使われている模様。
  • powerpc-utils (shaolin)
    • ppc/ppc64 専用ツール。
  • rt2870-firmware (shaolin)
    • すでに linux-firmware に同梱されている

Vine Linux 6 TODO 一覧へ